---
lang: en
title: 'API docs: rest-crud.crudrestcontroller.find'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontroller.find.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestController](./rest-crud.crudrestcontroller.md) &gt; [find](./rest-crud.crudrestcontroller.find.md)

## CrudRestController.find() method

Implementation of the endpoint `GET /`<!-- -->.

**Signature:**

```typescript
find(filter?: Filter<T>): Promise<(T & Relations)[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filter | [Filter](./filter.filter.md)<!-- -->&lt;T&gt; | _(Optional)_ Filter |

**Returns:**

Promise&lt;(T &amp; Relations)\[\]&gt;


